<?php

declare (strict_types=1);
namespace ReloadifyScoped\Doctrine\Inflector\Rules\Spanish;

use ReloadifyScoped\Doctrine\Inflector\GenericLanguageInflectorFactory;
use ReloadifyScoped\Doctrine\Inflector\Rules\Ruleset;
final class InflectorFactory extends GenericLanguageInflectorFactory
{
    protected function getSingularRuleset() : Ruleset
    {
        return Rules::getSingularRuleset();
    }
    protected function getPluralRuleset() : Ruleset
    {
        return Rules::getPluralRuleset();
    }
}
